## org.omg.Dynamic
Class ParameterHolder

    java.lang.Object
      |
      +--org.omg.Dynamic.ParameterHolder

All Implemented Interfaces:
  Streamable

public final class ParameterHolder
extends java.lang.Object
implements Streamable

Holder class for : Parameter

Author:
  OpenORB Compiler

Field Summary
`Parameter` `value` Internal Parameter value

Constructor Summary
`ParameterHolder()` Default constructor
`ParameterHolder(Parameter initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read Parameter from a marshalled stream
`TypeCode` `_type()` Return the Parameter TypeCode
`void` `_write(OutputStream ostream)` Write Parameter into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Parameter value

  Internal Parameter value

Constructor Detail

### ParameterHolder

    public ParameterHolder()

  Default constructor

### ParameterHolder

    public ParameterHolder(Parameter initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read Parameter from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write Parameter into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the Parameter TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode